This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 888355 - engine [TEST]: Autorecovering hosts shows host uid and not host name
engine [TEST]: Autorecovering hosts shows host uid and not host name
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Ravi Nori
Dafna Ron
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-18 09:45 EST by Dafna Ron
Modified: 2016-02-10 14:10 EST (History)
9 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
engine log (181.08 KB, application/x-xz)
2012-12-18 09:45 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10736 None None None Never

  None (edit)
Description Dafna Ron 2012-12-18 09:45:28 EST
Created attachment 665539 [details]
engine log

Description of problem:

it would be useful for debugging if we listed the host name and not the host uid when we recover a host: 

2012-12-18 15:10:00,001 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-34) Checking autorecoverable hosts
2012-12-18 15:10:00,003 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-34) Autorecovering 1 hosts


Version-Release number of selected component (if applicable):

si25.2

How reproducible:

100%

Steps to Reproduce:
1. block connectivity to a domain from the host using iptables
2. 
3.
  
Actual results:

Autorecovery will try to activate the host.
logs show host uid and not its name

Expected results:

it would be helpful for debugging if we had a host name

Additional info: logs
Comment 1 Ravi Nori 2013-01-07 12:04:29 EST
link : http://gerrit.ovirt.org/#/c/10736/

change id : I4473b3c8a4605b733df1bee1295a6721f6e96199
Comment 3 Dafna Ron 2013-02-05 05:57:52 EST
verified on sf5

2013-02-05 12:55:00,002 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-85) [5a66dceb] Autorecovering 1 hosts
2013-02-05 12:55:00,002 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-85) [5a66dceb] Autorecovering hosts id: edcd6439-5b44-4d5a-9449-d05335b2051a, name : gold-vdsc
Comment 4 Itamar Heim 2013-06-11 04:43:33 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:43:33 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:43:47 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:50:21 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:21:27 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.